Buscar opciones de un atributo
curl --request GET \
--url https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"options": [
"<string>"
],
"nextOffset": 123
}{
"ok": true,
"error": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": false,
"error": "Too many requests. Retry in 60 seconds."
}Atributos personalizados
Buscar opciones de un atributo
Busca opciones de select/multi_select y devuelve hasta diez por página. Usar nextOffset hasta que sea null para leer el catálogo completo antes de reemplazarlo.
GET
/
custom-attributes
/
public
/
v1
/
{entityType}
/
{id}
/
options
Buscar opciones de un atributo
curl --request GET \
--url https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revem.ai/custom-attributes/public/v1/{entityType}/{id}/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"options": [
"<string>"
],
"nextOffset": 123
}{
"ok": true,
"error": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": false,
"error": "Too many requests. Retry in 60 seconds."
}